/* Resets */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "DM Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

:root{
  --zblue: #2c85ff;
  --zwhite: #ffffff;
  --zblue2: #2169cf;
  --zblue3: #05063c;
}





header{
  height: 80px;
} 

.navbar {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr; /* three columns */
  position: fixed; /* stays on top */
  top: 0;
  width: 100%;
  height: 80px;
  background-color: #f4f4f4;
  padding: 0.5rem 1rem;
  z-index: 100; /* stay above content */
}

.navbar > *{
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo {
  height: 40px;
}

.nav-list {
  display: flex; /* horizontal layout */
  list-style: none; /* remove bullets */
  gap: 1.5rem; /* spacing between items */
  height: 100%;
  align-items: center;
}

.nav-list li{
  height: 100%;
  display: flex;
  align-items: center;
  box-sizing: border-box;
  padding-bottom: 5px;
}

.nav-list li a {
  color: var(--zblue);
  text-decoration: none; /* remove underline */
  font-weight: bold; 
  transition: color 0.3s ease; /* smooth color change */
  font-size: 1.2rem;
  display: block;
}

.nav-list li:hover {
  border-bottom: 5px solid var(--zblue);
  padding-bottom: 0;
}

.contact-btn {
  background-color: var(--zblue);
  color: white;
  padding: 0.75em 1.5rem;
  border-radius: 40px;
  text-decoration: none;
  font-weight: bold;
  font-size: 1.1rem;
  transition: color 3s ease; /* smooth color change */
}

.contact-btn:hover {
  background-color: #05063c;
  
}








/* Footer */
.footer {
  background: #222;
  color: #ddd;
  font-size: 0.9rem;
  height: 30vh;
}

.footer-top {
  max-width: 70%;
  margin: 0 auto; /* center */
  display: flex; /* horizontal layout */
  justify-content: space-between; 
  flex-wrap: wrap; /* wrap on smaller screens */
  gap: 2rem; /* space between sections */
  height: 80%;

}

/* Sections */
.footer-section {
  flex: 1;
  min-width: 220px;
  display: flex;
  height: 100%;
}

.footer-contact-info {
  flex-direction: column;
  justify-content: space-evenly;
}

.footer-logo {
  height: 25%;
  object-fit: contain;
  margin-top: 1rem;
  
}
.footer-contact {
  display: flex;
  flex-direction: column;
  align-items: center;
  list-style: none;
  height: 20%;
  justify-content: space-between;
}
.footer a{
  font-size: 1rem;
  font-weight: bold;
  text-decoration: none;
  color: #ddd;
}

.footer a:hover{
  color: #fff;
  text-decoration: underline;
}

.footer-socials{
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-self: center;
  list-style: none;
  justify-content: space-evenly; 
  list-style: none;
}

.footer-socials a {
  margin: 0 0.3rem;
}

.footer-socials img{
  height: 25px;
}

/* Explore Links */
.footer-explore-links {
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  
}

.footer-explore-links *{
  font-size: 1rem;
  font-weight: bold;
}

.footer-explore-links h3{
  padding-top: 10%;
  font-size: 1.2rem;
  align-self: flex-start;
  padding-left: 11%;
}

.footer-links {
  display: flex;
  gap: 2rem;
  justify-content: space-between;
  width: 100%;
  padding: 0 10%;
}

.footer-links ul {
  list-style: none;
  padding: 0;
}

.footer-links li {
  margin-bottom: 0.5rem;
  padding: 0.5rem;
  list-style: circle;
  list-style-position: inside;
}

.footer-links a {
  color: #ddd;
  text-decoration: none;
}

.footer-links a:hover {
  color: #fff;
}








.footer-partners {
  font-size: 1.2rem;
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
  align-content: center;
  flex-direction: column;
  justify-content: center;
}
.footer-partners h3 {
  align-self: flex-start;
}

.footer-partner-list{
  list-style: none;
  display: grid;
  grid-template-columns: repeat(3,1fr);
  gap: 1rem;
  width: 100%;
}

.footer-partners li {
  height: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer-partner-list .VMware-Logo, .footer-partner-list .IBM-Logo{
 background-color: rgb(255, 255, 255);
 padding: 4px;
}

.footer-partner-list .VMware-Logo{
 background-color: rgb(255, 255, 255);
 border-radius: 3px;
 padding-top: 8px;
}
.footer-partners img {
  height: 45px;
  object-fit: contain;
  border-radius: 3px;
}







/* Bottom bar */
.footer-bottom {
  max-width: 70%;
  margin: 0 auto 0;
  padding-top: 1rem;
  border-top: 1px solid #444;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  color: #aaa;
}